Page MenuHomePhabricator

TMH player not supported message confusing to users
Closed, DeclinedPublic

Description

Based on watching a friend of mine try to play a video (From safari) I have a few observations about TMH in browser not supported situations:

Here's what happened:
*User clicked on video on commons main page:
*Dialog pops up with video
*There's an overlay on top of the dialog saying something along the lines of "For help playing video please see <some page on commons>". I assume the commons community has customized that message
*Video still has the play button in the middle of it

My friend did not realize the "for help see foo" message meant not supported, and instead assumed that she just had to click play one more time. She repetitively clicked the play button about 50 times, until eventually giving up. (I can't 100% remember, this was the other day, but I think the for help click here message was unclickable too).

Watching this I came to the conclusion:
*The browser not supported message should be more direct. Less of a "for help" and more of an outright, this video is not going to work in your current config."
*I think the message should give the most obvious solution of switch to firefox or chrome, with a link for the more obscure options. Perhaps something like:
"Video is not supported on Safari. To play this video please use firefox or chrome. For more options and other information see [some_link here]. To download the video click here."
*I think the message should be different for different platforms. Desktop safari should have a message saying try firefox, where such a message would be inappropriate for iPhone. If you just have a super old version of firefox that should give a different message. Also if we're just missing the transcodes on our side (e.g. file just uploaded), probably should have a different message.
*The play button should go away if its not going to play the video.

Designers may perhaps have some suggestions in this area too.


Version: unspecified
Severity: normal

Details

Reference
bz60243

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:07 AM
bzimport set Reference to bz60243.
Bawolff created this task.Jan 20 2014, 1:14 AM

(I can't 100% remember, this was the other day, but I think the for help
click here message was unclickable too).

That part is fixed in Ibd95d533b9, however the main gist of this bug remains.

brion added a subscriber: brion.Jul 21 2015, 1:26 AM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 21 2015, 1:26 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:37 PM
TheDJ closed this task as Declined.Oct 25 2015, 2:06 PM
TheDJ claimed this task.
TheDJ added a subscriber: TheDJ.

Not a practical problem anymore now that OGV.js was added. Any further improvements here are better spent on supporting Video.js T100106.

jrbs added a subscriber: jrbs.